org.apache.cxf.service.model

## Class ServiceInfo

- java.lang.Object
- - org.apache.cxf.service.model.AbstractPropertiesHolder
  - - org.apache.cxf.service.model.AbstractDescriptionElement
    - - org.apache.cxf.service.model.ServiceInfo

- All Implemented Interfaces:
    Extensible, NamedItem

      public class ServiceInfo
      extends AbstractDescriptionElement
      implements NamedItem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(BindingInfo binding)`
    `void` | `addEndpoint(EndpointInfo ep)`
    `SchemaInfo` | `addNewSchema(String namespaceURI)`
    `void` | `addSchema(SchemaInfo schemaInfo)`
    `InterfaceInfo` | `createInterface(QName qn)`
    `BindingInfo` | `getBinding(QName qn)`
    `Collection<BindingInfo>` | `getBindings()`
    `DescriptionInfo` | `getDescription()`
    `EndpointInfo` | `getEndpoint(QName qn)`
    `Collection<EndpointInfo>` | `getEndpoints()`
    `InterfaceInfo` | `getInterface()`
    `MessageInfo` | `getMessage(QName qname)`
    `Map<QName,MessageInfo>` | `getMessages()`
    `QName` | `getName()`
    `SchemaInfo` | `getSchema(String namespaceURI)`
    `List<SchemaInfo>` | `getSchemas()`
    `String` | `getTargetNamespace()`
    `String` | `getTopLevelDoc()`
    `SchemaCollection` | `getXmlSchemaCollection()`
    `void` | `refresh()`
    `void` | `setDescription(DescriptionInfo d)`
    `void` | `setInterface(InterfaceInfo inf)`
    `void` | `setMessages(Map<QName,MessageInfo> msgs)`
    `void` | `setName(QName n)`
    `void` | `setSchemas(SchemaCollection cachedXmlSchemaCollection, List<SchemaInfo> cachedSchemas)`
    `void` | `setServiceSchemaInfo(ServiceSchemaInfo serviceSchemaInfo)`
    `void` | `setTargetNamespace(String ns)`
    `void` | `setTopLevelDoc(String s)`

    - ### Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder

      `addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceInfo

          public ServiceInfo()

  - ### Method Detail

    - #### getDescription

          public DescriptionInfo getDescription()

      Specified by:
        `getDescription` in class `AbstractDescriptionElement`

    - #### setDescription

          public void setDescription(DescriptionInfo d)

    - #### getTopLevelDoc

          public String getTopLevelDoc()

    - #### setTopLevelDoc

          public void setTopLevelDoc(String s)

    - #### getTargetNamespace

          public String getTargetNamespace()

    - #### setTargetNamespace

          public void setTargetNamespace(String ns)

    - #### setName

          public void setName(QName n)

    - #### getName

          public QName getName()

      Specified by:
        `getName` in interface `NamedItem`

    - #### createInterface

          public InterfaceInfo createInterface(QName qn)

    - #### setInterface

          public void setInterface(InterfaceInfo inf)

    - #### getInterface

          public InterfaceInfo getInterface()

    - #### getBinding

          public BindingInfo getBinding(QName qn)

    - #### addBinding

          public void addBinding(BindingInfo binding)

    - #### getEndpoint

          public EndpointInfo getEndpoint(QName qn)

    - #### addEndpoint

          public void addEndpoint(EndpointInfo ep)

    - #### getEndpoints

          public Collection<EndpointInfo> getEndpoints()

    - #### getBindings

          public Collection<BindingInfo> getBindings()

    - #### getMessages

          public Map<QName,MessageInfo> getMessages()

    - #### getMessage

          public MessageInfo getMessage(QName qname)

    - #### setMessages

          public void setMessages(Map<QName,MessageInfo> msgs)

    - #### refresh

          public void refresh()

    - #### addSchema

          public void addSchema(SchemaInfo schemaInfo)

    - #### addNewSchema

          public SchemaInfo addNewSchema(String namespaceURI)

    - #### getSchema

          public SchemaInfo getSchema(String namespaceURI)

    - #### getSchemas

          public List<SchemaInfo> getSchemas()

    - #### getXmlSchemaCollection

          public SchemaCollection getXmlSchemaCollection()

    - #### setServiceSchemaInfo

          public void setServiceSchemaInfo(ServiceSchemaInfo serviceSchemaInfo)

    - #### setSchemas

          public void setSchemas(SchemaCollection cachedXmlSchemaCollection,
                                 List<SchemaInfo> cachedSchemas)

Apache CXF